/* 
 In the following program, we'd like to catch out-of-bounds
 memory accesses (like this null pointer dereference) and
 handle them in the "mySignalHandler" routine.  What single
 line of code could you add at ?? to do this?
 
 Orion Lawlor, olawlor@acm.org, 2005/2/4 (Public Domain)
*/
#include <stdio.h>
#include <stdlib.h>
#include <signal.h>

void mySignalHandler(int sig) {
	printf("Accessed out-of-bounds memory.\n");
	exit(0);
}

int main() {
	int *null_pointer=(int *)NULL;
	
	signal(SIGSEGV,mySignalHandler);
	
	*null_pointer=0;
	return 1;
}
