/* 
 In the following program, we'd like to pass a user routine
 as a function pointer to the function ``myLibrary''.
 What typedef would you put at ?? to make this work?
 
 Orion Lawlor, olawlor@acm.org, 2005/2/4 (Public Domain)
*/
#include <stdio.h>

typedef void (*myFunctionPointer)(void);

void myLibrary(myFunctionPointer fn) {
	fn(); /* should call myFunction */
}

void myFunction(void) {
	printf("Function called!  OK!\n");
}

int main() {
	myLibrary(myFunction);
	
	return 1;
}
